Bug 261123 - No way to launch OSM editor
Summary: No way to launch OSM editor
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: 1.0 (KDE 4.6)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-24 04:08 UTC by markuss
Modified: 2011-04-13 13:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2010-12-24 04:08:04 UTC
Version:           unspecified (using KDE 4.5.90) 
OS:                Linux

Despite the facts that bug 240968 is marked as FIXED and Marble's preferences window has an option to select an external OSM editor, there is no way to actually launch it.

Reproducible: Always
Comment 1 Dennis Nienhüser 2010-12-24 12:28:18 UTC
The button is only visible when the OpenStreetMap theme is used -- you cannot edit the other map themes. Unfortunately I forgot to add the button to the KDE Marble application, the Qt one has it.

I need to ask for translator's permission first to fix that as the change will appear as a new string to them.
Comment 2 markuss 2010-12-24 13:03:13 UTC
If the Qt version has that string, it's already translated or being translated. We KDE translators do the Qt version as well.
Comment 3 markuss 2011-04-10 02:15:07 UTC
Will 1.1 fix this or do we have to wait 'till 1.2 in Summer?
Comment 4 Dennis Nienhüser 2011-04-11 22:11:37 UTC
Git commit b4f185284b6cda9d31cbf344d2728474481d1846 by Dennis Nienhüser.
Committed on 11/04/2011 at 21:15.
Pushed by nienhueser into branch 'marble-1.1'.

Add the "Edit Map" action to the KDE application (osm theme only).

Synchronize settings storage between the Qt and the KDE application for
the "edit map externally" action. Add an "Always ask" value.
BUG: 261123
FIXED-IN: 1.1.0
(cherry picked from commit e0ca3ce28e70727a80a7fb893237ccf37b95f937)

M  +11   -3    src/QtMainWindow.cpp     
M  +1    -1    src/lib/ExternalEditor.ui     
M  +6    -1    src/lib/MarbleNavigationSettingsWidget.ui     
M  +15   -6    src/lib/QtMarbleConfigDialog.cpp     
M  +2    -1    src/marble.kcfg     
M  +28   -0    src/marble_part.cpp     
M  +3    -0    src/marble_part.h     
M  +2    -0    src/marble_part.rc     

http://commits.kde.org/marble/b4f185284b6cda9d31cbf344d2728474481d1846
Comment 5 Dennis Nienhüser 2011-04-11 22:11:37 UTC
Git commit e0ca3ce28e70727a80a7fb893237ccf37b95f937 by Dennis Nienhüser.
Committed on 11/04/2011 at 21:15.
Pushed by nienhueser into branch 'master'.

Add the "Edit Map" action to the KDE application (osm theme only).

Synchronize settings storage between the Qt and the KDE application for
the "edit map externally" action. Add an "Always ask" value.
BUG: 261123
FIXED-IN: 1.1.0

M  +11   -3    src/QtMainWindow.cpp     
M  +1    -1    src/lib/ExternalEditor.ui     
M  +6    -1    src/lib/MarbleNavigationSettingsWidget.ui     
M  +15   -6    src/lib/QtMarbleConfigDialog.cpp     
M  +2    -1    src/marble.kcfg     
M  +28   -0    src/marble_part.cpp     
M  +3    -0    src/marble_part.h     
M  +2    -0    src/marble_part.rc     

http://commits.kde.org/marble/e0ca3ce28e70727a80a7fb893237ccf37b95f937
Comment 6 Dennis Nienhüser 2011-04-11 22:15:35 UTC
Note that I added a new string (not there yet), so it can't be backported to 1.0.
Comment 7 Bernhard Beschow 2011-04-13 13:00:48 UTC
Git commit 21f0f65cf39552f6189e69f2dcab6e4a69336e13 by Bernhard Beschow. on behalf of Dennis Nienhüser
Committed on 11/04/2011 at 21:15.
Pushed by beschow into branch 'opengl-ng'.

Add the "Edit Map" action to the KDE application (osm theme only).

Synchronize settings storage between the Qt and the KDE application for
the "edit map externally" action. Add an "Always ask" value.
BUG: 261123
FIXED-IN: 1.1.0

M  +11   -3    src/QtMainWindow.cpp     
M  +1    -1    src/lib/ExternalEditor.ui     
M  +6    -1    src/lib/MarbleNavigationSettingsWidget.ui     
M  +15   -6    src/lib/QtMarbleConfigDialog.cpp     
M  +2    -1    src/marble.kcfg     
M  +28   -0    src/marble_part.cpp     
M  +3    -0    src/marble_part.h     
M  +2    -0    src/marble_part.rc     

http://commits.kde.org/marble/21f0f65cf39552f6189e69f2dcab6e4a69336e13